Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2107410

Summary: Cannot start Battle.net since upgrading Wine 7.10 to 7.12
Product: [Fedora] Fedora Reporter: Chris Rankin <rankincj>
Component: wineAssignee: Michael Cronenworth <mike>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 36CC: andreas.bierfert, besser82, mike
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: wine-7.12-2.fc36 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-07-18 01:08:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Chris Rankin 2022-07-14 23:09:43 UTC
Description of problem:
Upgraded to Wine 7.12-1, and then was no longer able to launch Blizzard's Battle.net. Downgrading to Wine 7.2 fixed the problem. (Wine 7.10 no longer available, it would seem.)

The launcher claims that it is "Starting Battle.net", but then hangs while "Downloading new files...". Eventually it just gives up, claiming error BLZBNTBTS0000005C.

https://us.battle.net/support/en/article/19031

However, as already mentioned, downgrading Wine fixes this.

Version-Release number of selected component (if applicable):
7.12-1


How reproducible:
Every time


Steps to Reproduce:
1. Launch World of Warcraft

Actual results:
Error BLZBNTBTS0000005C.

Expected results:
Launch Battle.net

Additional info:

Comment 1 Fedora Update System 2022-07-15 03:36:57 UTC
FEDORA-2022-f8f4823fb4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f8f4823fb4

Comment 2 Fedora Update System 2022-07-16 01:12:13 UTC
FEDORA-2022-f8f4823fb4 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-f8f4823fb4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f8f4823fb4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Chris Rankin 2022-07-16 14:38:16 UTC
The wine-7.12-2 RPMs from updates-testing fix my problem, thank you.

Comment 4 Fedora Update System 2022-07-18 01:08:07 UTC
FEDORA-2022-f8f4823fb4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.